C RO-parameter. Blocks.

BLOCK VERT{2,3,4,5,6}
C 2=THREE-VERTICES WITH DERIVATIVES, 3=WITHOUT DERIVATIVES,
C 4=FOUR-VERTICES,
C 5=GHOST VERTICES WITH DERIVATIVES, 6=GHOST WITHOUT DERIVATIVES.
S EP,TIPI2,N,PM,M,M0,SM,C,S,E=3,LE2
F FK,FP,FQ,FSC,F,VE4,VE3,PROP,LG,FALE
I AL=N,BE=N,GA=N,MU=N,NU=N,MUP=N,NUP=N,
  L1=N,L2=N,L3=N,L4=N,L5=N,L6=N,L7=N,L8=N,L9=N,L0=N
V P,Q,K,P0=z,PL,LE
C A=A, F=FI, G=FP, H=FM, U=WP, U_=WM, W=W0, Z=HIGGS
C X=ACP, Y=CP, O=ACM, P=CM, Q=AY0, R=Y0, S=AYA, T=YA.
C        A B C D E F G H  I J K L M N O P  Q R S T U V W  X Y Z
T QN(K1)=0,0,0,0,0,0,1,-1,0,0,0,0,0,0,1,-1,0,0,0,0,1,0,0,-1,1,0,
 @G_i0,-1,@O_i0,-1,1,0,0,0,0,-1,0,0,1,-1,0
C		 O_P_Q_R_S_T_U_ V_W_X_Y_ Z_
C        A B C D E F G H I J K L M N O  P  Q R S  T U V W  X Y Z
T XN(K1)=0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,1,-1,1,-1,1,0,0,0,-1,1,0,
 @O_i0,1,-1,1,-1,1,-1,0,0,0,1,-1,0
C      O_P_ Q_R_ S_T_ U_V_W_X_Y_ Z_
C QN, QG AND QH ARE THE CHARGES, XN, XG AND XH GHOST NRS.
T CHG(K1)="A,"W,"F,"Z,"U,"U_,"G,"G_,"Y_,"Y,"P_,"P,"R_,"R,"T_,"T
T QG(K1) = 0, 0, 0, 0, 1,-1,  1,-1,-1, 1, 1,-1, 0, 0, 0, 0
T XG(K1) = 0, 0, 0, 0, 0, 0, 0, 0,-1, 1,-1, 1,-1, 1,-1, 1
T CHH(K1)="A,"W,"F,"Z,"U_,"U,"G_,"G,"Y,"Y_,"P,"P_,"R,"R_,"T,"T_
T QH(K1) = 0, 0, 0, 0,-1,  1,-1, 1, 1,-1,-1, 1, 0, 0, 0, 0
T XH(K1) = 0, 0, 0, 0, 0, 0, 0, 0, 1,-1, 1,-1, 1,-1, 1,-1
T TAP:A,F,W,Z
T TFE:P,R,T,Y
T THI: Z=1:1
X DEDE(L1,L2,L3,L4)=2.*D(L1,L2)*D(L3,L4) - D(L1,L3)*D(L2,L4)
                                         - D(L1,L4)*D(L2,L3)
X AA(L1,L2;K): NOM(K,PM)*D(L1,L2)
X FF(L1,L2;K): NOM(K,M0)
X GG_(L1,L2;K): NOM(K,M)
X PP_(L1,L2;K): NOM(K,M)
X RR_(L1,L2;K): NOM(K,M0)
X TT_(L1,L2;K): NOM(K,PM)
X UU_(L1,L2;K): NOM(K,M)*D(L1,L2)
X WW(L1,L2;K): NOM(K,M0)*D(L1,L2)
X YY_(L1,L2;K): NOM(K,M)
X ZZ(L1,L2;K): NOM(K,SM)
G 1
'2'X AGG_(AL,P,BE,Q,GA,K): S*Q(AL)-S*K(AL)
'3'X AGU_(AL,P,BE,Q,GA,K): -I*S*M*D(AL,GA)
'3'X AUG_(AL,P,BE,Q,GA,K): I*S*M*D(AL,BE)
'5'X APP_(AL,P,BE,Q,GA,K): S*K(AL)
'2'X AUU_(AL,P,BE,Q,GA,K): -S*D(AL,BE)*(Q(GA)-P(GA))
'2'       -S*D(AL,GA)*(P(BE)-K(BE))-S*D(BE,GA)*(K(AL)-Q(AL))
'5'X AYY_(AL,P,BE,Q,GA,K): -S*K(AL)
'3'X FFZ(AL,P,BE,Q,GA,K): -0.5*SM**2/M
'2'X FGU_(AL,P,BE,Q,GA,K): -0.5*Q(GA)+0.5*P(GA)
'2'X FUG_(AL,P,BE,Q,GA,K): 0.5*K(BE)-0.5*P(BE)
'6'X FPP_(AL,P,BE,Q,GA,K): -0.5*I*M
'2'X FWZ(AL,P,BE,Q,GA,K): I*(P(BE)-K(BE))/2/C
'6'X FYY_(AL,P,BE,Q,GA,K): 0.5*I*M
'2'X GWG_(AL,P,BE,Q,GA,K): C2MS2*(P(BE)-K(BE))/2/C
'3'X GZG_(AL,P,BE,Q,GA,K): -0.5*SM**2/M
'6'X GPR_(AL,P,BE,Q,GA,K): 0.5*I*M*C**-1
'6'X GRY_(AL,P,BE,Q,GA,K): -0.5*I*C2MS2*M/C
'6'X GTY_(AL,P,BE,Q,GA,K): -I*S*M
'3'X GWU_(AL,P,BE,Q,GA,K): I*S**2*M*D(BE,GA)/C
'2'X GZU_(AL,P,BE,Q,GA,K): 0.5*I*(P(GA)-Q(GA))
'6'X RG_P_(AL,P,BE,Q,GA,K): 0.5*I*C2MS2*M/C
'6'X TG_P_(AL,P,BE,Q,GA,K): I*S*M
'6'X YG_R_(AL,P,BE,Q,GA,K): -0.5*I*M*C**-1
'3'X UWG_(AL,P,BE,Q,GA,K): -I*S**2*M*D(AL,BE)/C
'2'X UZG_(AL,P,BE,Q,GA,K): 0.5*I*(K(AL)-Q(AL))
'5'X PWP_(AL,P,BE,Q,GA,K): C*K(BE)
'6'X PZP_(AL,P,BE,Q,GA,K): -0.5*M
'5'X RP_U_(AL,P,BE,Q,GA,K): -C*Q(GA)
'5'X TP_U_(AL,P,BE,Q,GA,K): -S*Q(GA)
'5'X PUR_(AL,P,BE,Q,GA,K): -C*K(BE)
'5'X PUT_(AL,P,BE,Q,GA,K): -S*K(BE)
'6'X RZR_(AL,P,BE,Q,GA,K): -0.5*M/C**2
'5'X YR_U_(AL,P,BE,Q,GA,K): C*Q(GA)
'5'X RUY_(AL,P,BE,Q,GA,K): C*K(BE)
'5'X YT_U_(AL,P,BE,Q,GA,K): S*Q(GA)
'5'X TUY_(AL,P,BE,Q,GA,K): S*K(BE)
'2'X UWU_(AL,P,GA,K,BE,Q): -C*D(AL,BE)*(Q(GA)-P(GA))
'2'   -C*D(AL,GA)*(P(BE)-K(BE))-C*D(BE,GA)*(K(AL)-Q(AL))
'3'X UZU_(AL,P,BE,Q,GA,K): -M*D(AL,GA)
'3'X WWZ(AL,P,BE,Q,GA,K): -M*D(AL,BE)/C**2
'5'X WYY_(AL,P,BE,Q,GA,K): -C*K(AL)
'6'X YZY_(AL,P,BE,Q,GA,K): -0.5*M
'3'X ZZZ(AL,P,BE,Q,GA,K): -1.5*SM**2/M
G 2
'4'X AAGG_(L1,L2,L3,L4): -2.*S**2*D(L1,L2)
'4'X AAUU_(L1,L2,L3,L4): -S**2*DEDE(L1,L2,L3,L4)
'4'X AFGU_(L1,L2,L3,L4): 0.5*S*D(L1,L4)
'4'X AFUG_(L1,L2,L3,L4): 0.5*S*D(L1,L3)
'4'X AGWG_(L1,L2,L3,L4): -S*C2MS2*D(L1,L3)/C
'4'X AGZU_(L1,L2,L3,L4): -0.5*I*S*D(L1,L4)
'4'X AUZG_(L1,L2,L3,L4): 0.5*I*S*D(L1,L2)
'4'X AUWU_(L1,L2,L3,L4): -S*C*DEDE(L1,L3,L4,L2)
'4'X FFFF(L1,L2,L3,L4): -0.75*SM**2/M**2
'4'X FFGG_(L1,L2,L3,L4): -0.25*SM**2/M**2
'4'X FFUU_(L1,L2,L3,L4): -0.5*D(L3,L4)
'4'X FFWW(L1,L2,L3,L4): -0.5*D(L3,L4)/C**2
'4'X FFZZ(L1,L2,L3,L4): -0.25*SM**2/M**2
'4'X FGWU_(L1,L2,L3,L4): -0.5*S**2*D(L3,L4)/C
'4'X FUWG_(L1,L2,L3,L4): -0.5*S**2*D(L2,L3)/C
'4'X GGG_G_(L1,L2,L3,L4): -0.5*SM**2/M**2
'4'X GUG_U_(L1,L2,L3,L4): -0.5*D(L2,L4)
'4'X GWWG_(L1,L2,L3,L4): -0.5*C2MS2**2*D(L2,L3)/C**2
'4'X GZZG_(L1,L2,L3,L4): -0.25*SM**2/M**2
'4'X GWZU_(L1,L2,L3,L4): 0.5*I*S**2*D(L2,L4)/C
'4'X UWZG_(L1,L2,L3,L4): -0.5*I*S**2*D(L1,L2)/C
'4'X UUU_U_(L1,L2,L3,L4): DEDE(L1,L2,L3,L4)
'4'X UWWU_(L1,L2,L3,L4): -C**2*DEDE(L1,L4,L3,L2)
'4'X UZZU_(L1,L2,L3,L4): -0.5*D(L1,L4)
'4'X WWZZ(L1,L2,L3,L4): -0.5*D(L1,L2)/C**2
'4'X ZZZZ(L1,L2,L3,L4): -0.75*SM**2/M**2
G
ENDBLOCK
BLOCK SVERT{2,3,4}
C 2=TWO-POINT VERTICES, 3=THREE-POINT VERTICES,
C 4=FOUR-POINT VERTICES.
C ************** SPECIAL VERTICES **************************
'3'X AFZ(AL,P,BE,Q,GA,K): I*(K(AL)-Q(AL))*S*TIPI2*ZERO/EP
'3'X AWZ(AL,P,BE,Q,GA,K): D(AL,BE)*2*M*S*TIPI2*ZERO/EP/C
'3'X TZR_(AL,P,BE,Q,GA,K): 0.5*M*S*TIPI2*ZERO/EP/C
'4'X AFFW(L1,L2,L3,L4): D(L1,L4)*S*TIPI2*ZERO/EP/C
'4'X AWZZ(L1,L2,L3,L4): D(L1,L2)*S*TIPI2*ZERO/EP/C
'2'X ANW(AL,P,BE,Q,GA,K): 2*M**2*S*TIPI2/C*D(AL,GA)
'2'      +PDK*(3*C*S+S/6/C)*D(AL,GA)*TIPI2-P(AL)*K(GA)*
'2'       (3*C*S+S/6/C)*TIPI2
'2'X AAN(AL,P,BE,Q,GA,K): 3*S**2*TIPI2*(PDQ*D(AL,BE)-P(AL)*Q(BE))
'2'X AFN(AL,P,BE,Q,GA,K): 2*I*M*S*P(AL)*TIPI2
'2'X FNW(AL,P,BE,Q,GA,K): I*K(GA)*(2*M*C-0.25*M/C**3-49*M/12/C
'2'       -M*E1/C/TIPI2-M*EZF/C/TIPI2)*TIPI2
'2'X FFN(AL,P,BE,Q,GA,K): -0.5*SM**2*ET+PDQ*TIPI2+0.5*PDQ*TIPI2/C**2
'2'   +2*EZF*PDQ
'2'X GNG_(AL,P,BE,Q,GA,K): -0.5*SM**2*ET+PDK*TIPI2+0.5*PDK*TIPI2/C**2
'2'    +2*EZF*PDK
'2'X GNU_(AL,P,BE,Q,GA,K): -I*K(GA)*TIPI2*(25*M/12+0.25*M/C**2+M*E1/TIPI2
'2'   +M*EZF/TIPI2)
'2'X NUG_(AL,P,BE,Q,GA,K): -I*Q(BE)*TIPI2*(25*M/12+0.25*M/C**2+M*E1/TIPI2
'2'   +M*EZF/TIPI2)
'2'X NUU_(AL,P,BE,Q,GA,K): QDK*D(BE,GA)*TIPI2*19/6-Q(BE)*K(GA)*TIPI2*19/6
'2'    -D(BE,GA)*19/6*TIPI2*M**2-2*D(BE,GA)*M**2*E1
'2'X NWW(AL,P,BE,Q,GA,K): (1/3+3*C**2-1/6/C**2)*TIPI2*
'2'   (D(BE,GA)*QDK-Q(BE)*K(GA))
'2'   -D(BE,GA)*TIPI2*M**2*(43/6/C**2-4)-2*D(BE,GA)*M**2*E1/C**2
'2'X NZZ(AL,P,BE,Q,GA,K): QDK*TIPI2+0.5*QDK*TIPI2/C**2
'2'   +(-SM**2-0.5*SM**2/C**2)*TIPI2
'2'   +SM**2*(2*E2-2*E1-0.5*ET)
'2'   -2*EZF*SM**2+2*QDK*EZF
'2'X NPP_(AL,P,BE,Q,GA,K): TIPI2*M**2*(0.25/C**2-25/12)-M**2*E1+QDK*TIPI2
'2'   +M**2*EZF
'2'X NRR_(AL,P,BE,Q,GA,K): TIPI2*M**2*(1+0.25/C**4-37/12/C**2)
'2'    -M**2*E1/C**2+QDK*C**2*TIPI2
'2'   +M**2*EZF/C**2
'2'X NTR_(AL,P,BE,Q,GA,K): TIPI2*S*(M**2/C+QDK*C)
'2'X NRT_(AL,P,BE,Q,GA,K): TIPI2*C*S*QDK
'2'X NTT_(AL,P,BE,Q,GA,K): TIPI2*QDK*S**2
'2'X NYY_(AL,P,BE,Q,GA,K): TIPI2*M**2*(0.25/C**2-25/12)-M**2*E1+QDK*TIPI2
'2'   +M**2*EZF
C **********************************************************
ENDBLOCK
BLOCK CVERT{3,4,5}
C 3=THREE-VERTICES, 4=FOUR-VERTICES, 5=GHOST VERTICES.
'3'Id,AGG_~K: 0.5*TIPI2/C**2+2*EZF
'3'Al,AGU_~K: TIPI2/4/C**2+25*TIPI2/12+E1+EZF
'3'Al,AUG_~K: TIPI2/4/C**2+25*TIPI2/12+E1+EZF
'3'Al,AUU_~K: 7*TIPI2/6
'3'Al,FGU_~K: -TIPI2+0.5*TIPI2/C**2+2*EZF
'3'Al,FUG_~K: -TIPI2+0.5*TIPI2/C**2+2*EZF
'3'Al,FWZ~K: TIPI2-2*C**2*TIPI2+0.5*TIPI2/C**2+2*EZF
'3'Al,FFZ~K: -25*TIPI2/12+3*TIPI2/4/C**2+E1-2*E2+3*EZF
'3'Al,GZG_~K: -25*TIPI2/12+3*TIPI2/4/C**2+E1-2*E2+3*EZF
'3'Al,GWG_~K: -0.5*TIPI2/C**2/C2MS2+2*EZF
'3'Id,GWU_~K: E1+7*TIPI2/3/C**2-25*S**2*TIPI2/12/C**2+EZF
'3'Al,GZU_~K: -TIPI2+0.5*TIPI2/C**2+2*EZF
'3'Al,UWG_~K: E1+7*TIPI2/3/C**2-25*S**2*TIPI2/12/C**2+EZF
'3'Al,UZG_~K: -TIPI2+0.5*TIPI2/C**2+2*EZF
'3'Al,UWU_~K: 7*TIPI2/6
'3'Al,UZU_~K: TIPI2/12+0.25*TIPI2/C**2+E1+EZF
'3'Al,WWZ~K: -4*C**2*TIPI2+0.25*TIPI2/C**2+49*TIPI2/12+E1+EZF
'3'Al,ZZZ~K: -25*TIPI2/12+0.75*TIPI2/C**2+E1-2*E2+3*EZF
'5'Id,APP_~K: -TIPI2
'5'Al,AYY_~K: -TIPI2
'5'Al,FPP_~K: -TIPI2
'5'Al,FYY_~K: -TIPI2
'5'Al,GPR_~K: -TIPI2
'5'Al,GRY_~K: -C**2*TIPI2/C2MS2
'5'Al,GTY_~K: -0.5*TIPI2
'5'Al,RP_G_~K: -TIPI2*C**2/C2MS2
'5'Al,TG_P_~K: -TIPI2/2
'5'Al,YG_R_~K: -TIPI2
'5'Al,PZP_~K: -TIPI2
'5'Al,PWP_~K: -TIPI2
'5'Al,RP_U_~K: -TIPI2
'5'Id,TP_U_~K: -TIPI2
'5'Al,PUR_~K: -TIPI2
'5'Al,PUT_~K: -TIPI2
'5'Al,RZR_~K: -TIPI2*C**2
'5'Al,YR_U_~K: -TIPI2
'5'Al,RUY_~K: -TIPI2
'5'Al,YT_U_~K: -TIPI2
'5'Al,TUY_~K: -TIPI2
'5'Al,WYY_~K: -TIPI2
'5'Al,YZY_~K: -TIPI2
'4'Id,AAUU_~K: -5*TIPI2/6
'4'Al,AFGU_~K: -TIPI2+0.5*TIPI2/C**2+2*EZF
'4'Al,AFUG_~K: -TIPI2+0.5*TIPI2/C**2+2*EZF
'4'Al,AGWG_~K: -TIPI2-0.5*TIPI2/C**2/C2MS2+2*EZF
'4'Al,AGZU_~K: -TIPI2+0.5*TIPI2/C**2+2*EZF
'4'Al,AUZG_~K: -TIPI2+0.5*TIPI2/C**2+2*EZF
'4'Al,AUWU_~K: -5*TIPI2/6
'4'Al,AAGG_~K: -TIPI2+0.5*TIPI2/C**2+2*EZF
'4'Al,FGWU_~K: -TIPI2+0.5*TIPI2/C**2+2*EZF
'4'Al,FUWG_~K: -TIPI2+0.5*TIPI2/C**2+2*EZF
'4'Id,FFGG_~K: -31*TIPI2/6+TIPI2/C**2-2*E2+4*EZF
'4'Al,FFUU_~K: -3*TIPI2+0.5*TIPI2/C**2+2*EZF
'4'Al,FFWW~K: -4*TIPI2*C**2+0.5*TIPI2/C**2+TIPI2+2*EZF
'4'Al,FFZZ~K: -31*TIPI2/6+TIPI2/C**2-2*E2+4*EZF
'4'Al,FFFF~K: -31*TIPI2/6+TIPI2/C**2-2*E2+4*EZF
'4'Al,GUG_U_~K: -3*TIPI2+0.5*TIPI2/C**2+2*EZF
'4'Al,GWWG_~K: -0.5*(4*C**4+1)*TIPI2/C**2/C2MS2+2*EZF
'4'Id,GZZG_~K: -31*TIPI2/6+TIPI2/C**2-2*E2+4*EZF
'4'Al,GWZU_~K: 0.5*TIPI2/C**2-TIPI2+2*EZF
'4'Al,GGG_G_~K: -31*TIPI2/6+TIPI2/C**2-2*E2+4*EZF
'4'Al,UWZG_~K: 0.5*TIPI2/C**2-TIPI2+2*EZF
'4'Al,UUU_U_~K: -5*TIPI2/6
'4'Al,UZZU_~K: -3*TIPI2+0.5*TIPI2/C**2+2*EZF
'4'Al,UWWU_~K: -5*TIPI2/6
'4'Al,WWZZ~K: TIPI2-4*TIPI2*C**2+0.5*TIPI2/C**2+2*EZF
'4'Al,ZZZZ~K: -31*TIPI2/6+TIPI2/C**2-2*E2+4*EZF
ENDBLOCK
BLOCK SCVERT{3,4,5}
C 3=THREE-VERTICES, 4=FOUR-VERTICES, 5=GHOST VERTICES.
C *************** SPECIAL VERTICES **************************
'3'Id,AFZ~K: EP*ZERO**-1
'3'Al,AWZ~K: EP*ZERO**-1
'5'Id TZR_~K: EP*ZERO**-1
'4'Al,AFFW~K: EP*ZERO**-1
'4'Al,AWZZ~K: EP*ZERO**-1
C ***********************************************************
ENDBLOCK
BLOCK F1t5{}
Id,F(1,M~)=2*I*PI**2*M**2*(1/EP-0.5+0.5*LG(M)
   +EP*(1/4-LG(M)/4+LG(M)*LG(M)/8+PI**2/48))
Al,F(2,M~)=2*I*PI**2*(-1/EP-0.5*LG(M)
    -EP*(PI**2/48+LG(M)*LG(M)/8))
Al,F(3,M~)=I*PI**2/2/M**2+I*EP*PI**2/2/M**2/2*LG(M)
Al,F(4,M~)=I*PI**2/6/M**4
   -1/12*I*EP*PI**2/M**4*(1-LG(M))
Al,F(5,M~)=I*PI**2/M**6*(1/12-EP/16+EP*LG(M)/24)
ENDBLOCK
BLOCK F21F22{}
Id,F221(M~,M~,M~,M~,SM)=PI**4/SM**2*(-PI**2/3
   +2*LG(SM,M)-LG(SM,M)*LG(SM,M))
   +PI**4*M**2/SM**4*(4-4*PI**2/3+12*LG(SM,M)
   -4*LG(SM,M)*LG(SM,M))
Al,F211(SM,SM,SM,SM)=PI**4*(-2/EP**2+(1-2*LG(SM) )/EP
    -0.5-PI**2/12+2*CLPW3+LG(SM)-LG(SM)*LG(SM)  )
Al,F211(SM,SM,M~,SM)=PI**4*(-2/EP**2+(1-2*LG(SM))/EP
   -0.5-PI**2/12+LG(SM)-LG(SM)*LG(SM)-0.5*M**2/SM**2*LG(M,SM)
   +M**2/SM**2 )
Al,F211(M~,M~,SM,SM)=PI**4*(-2/EP**2+(1-2*LG(M))/EP
   +1.5-PI**2/12+LG(M)-LG(M)*LG(M)+LG(SM)+LG(SM,M)*LG(SM,M)/2)
Al,F211(M~,M~,M~,SM)=PI**4*(-2/EP**2+1/EP*(1-2*LG(M)))
   +PI**4*(-0.5+PI**2/12+LG(M)-LG(M)*LG(M)
   +0.5*LG(SM,M)*LG(SM,M)+(M**2*SM**2+3*M**4)/SM**4*LG(SM,M)
   *LG(SM,M) - (2*M**2*SM**2+7*M**4)/SM**4*LG(SM,M)
   +2*(PI**2/6-1)*M**2/SM**2 + (PI**2-11/2)*M**4/SM**4 )
Al,F311(M~,M~,M~,M~,SM)=PI**4/M**2/EP+PI**4/M**2*(-0.5
   +0.5*LG(M)+0.5*LG(SM)+M**2/SM**2*LG(SM,M) )
Al,F211(SM,SM,M~,M0~)=PI**4*(-2/EP**2+(1-2*LG(SM))/EP
   -0.5-PI**2/4+LG(SM)-LG(SM)*LG(SM)
   -(0.5*LG(M,SM)*LG(M0,SM)+PI**2/6)*
   (2*M**2*M0**2/SM**4+(4*M**4*M0**2+4*M**2*M0**4)/SM**6)
   -0.5*LG(M,SM)*(2*M**2/SM**2
     +(M**4+2*M0**2*M**2)/SM**4
     +(2*M**6/3+8*M**4*M0**2+2*M**2*M0**4)/SM**6)
   -0.5*LG(M0,SM)*(2*M0**2/SM**2
     +(M0**4+2*M**2*M0**2)/SM**4
     +(2*M0**6/3+8*M0**4*M**2+2*M0**2*M**4)/SM**6)
   +(M**2+M0**2)/SM**2+(M**4/4+M**2*M0**2+M0**4/4)/SM**4
   +(M**6/9+3*M**4*M0**2+3*M**2*M0**4+M0**6/9)/SM**6 )
Al,F211(M~,M~,M0~,SM)=PI**4*(-2/EP**2+(1-2*LG(M))/EP
  -0.5+PI**2/12+LG(M)-LG(M)*LG(M)+0.5*LG(SM,M)*LG(SM,M)
  +(M0**2*SM**2+2*M**2*M0**2+M0**4)/SM**4*LG(SM,M)*LG(SM,M)
  -(M0**2*SM**2+2*M**2*M0**2+M0**4)/SM**4*LG(SM,M)*LG(M0,M)
  -(M**2*SM**2+M0**2*SM**2+4*M**2*M0**2+5/2*M0**4+0.5*M**4)
  /SM**4*LG(SM,M) + (M0**2*SM**2+M**2*M0**2+5/2*M0**4)/SM**4
  *LG(M0,M) - (M**2+M0**2)/SM**2
  - (1/4*M**4+3*M**2*M0**2+9/4*M0**4)/SM**4
  +PI**2/3*(M0**2*SM**2+2*M**2*M0**2+M0**4)/SM**4  )
ENDBLOCK
BLOCK F21F51{}
Id,F311(M~,M0~,SM)=
  +PI**4*(-1./2.*M**(-2)+M**(-2)*EP**(-1))
  +PI**6*(-1./3.*M0**2*SM**(-4))
  +LG(M)*PI**4*(-1./2.*M**2*SM**(-4)+1./2.*M**(-2)-3./2.*M0**2*SM*
  *(-4)-1./2.*SM**(-2))
  +LG(M)*LG(M0)*PI**4*(-M0**2*SM**(-4))
  +LG(M)*LG(SM)*PI**4*(M0**2*SM**(-4))
  +LG(M0)*PI**4*(-1./2.*M**(-2)*M0**2*SM**(-2)-1./2.*M**(-2)*M0**4
  *SM**(-4)-3./2.*M0**2*SM**(-4))
  +LG(M0)*LG(SM)*PI**4*(M0**2*SM**(-4))
  +LG(SM)*PI**4*(1./2.*M**2*SM**(-4)+1./2.*M**(-2)+1./2.*M**(-2)*M
  0**2*SM**(-2)+1./2.*M**(-2)*M0**4*SM**(-4)+3.*M0**2*SM**(-4)+1./
  2.*SM**(-2))
  +LG(SM)*LG(SM)*PI**4*(-M0**2*SM**(-4))
Al,F221(M~,M0~,SM)=
  +PI**4*(2.*M**2*SM**(-4)+2.*M0**2*SM**(-4))
  +PI**6*(-2./3.*M**2*SM**(-4)-2./3.*M0**2*SM**(-4)-1./3.*SM**(-2)
  )
  +LG(M)*PI**4*(-5.*M**2*SM**(-4)-M0**2*SM**(-4)-SM**(-2))
  +LG(M)*LG(M0)*PI**4*(-2.*M**2*SM**(-4)-2.*M0**2*SM**(-4)-SM**(-2
  ))
  +LG(M)*LG(SM)*PI**4*(2.*M**2*SM**(-4)+2.*M0**2*SM**(-4)+SM**(-2)
  )
  +LG(M0)*PI**4*(-M**2*SM**(-4)-5.*M0**2*SM**(-4)-SM**(-2))
  +LG(M0)*LG(SM)*PI**4*(2.*M**2*SM**(-4)+2.*M0**2*SM**(-4)+SM**(-2
  ))
  +LG(SM)*PI**4*(6.*M**2*SM**(-4)+6.*M0**2*SM**(-4)+2.*SM**(-2))
  +LG(SM)*LG(SM)*PI**4*(-2.*M**2*SM**(-4)-2.*M0**2*SM**(-4)-SM**(-
  2))
Al,F211(M~,M0~,SM)=
  +PI**4*(-1./2.-3.*M**2*M0**2*SM**(-4)-M**2*SM**(-2)-1./4.*M**4*S
  M**(-4)-M0**2*SM**(-2)-9./4.*M0**4*SM**(-4)-2.*EP**(-2)+EP**(-1)
  )
  +PI**6*(1./12.+2./3.*M**2*M0**2*SM**(-4)+1./3.*M0**2*SM**(-2)+1.
  /3.*M0**4*SM**(-4))
  +LG(M)*PI**4*(1.+3.*M**2*M0**2*SM**(-4)+M**2*SM**(-2)+1./2.*M**4
  *SM**(-4)-2.*EP**(-1))
  -1./2.*LG(M)*LG(M)*PI**4
  +LG(M)*LG(M0)*PI**4*(2.*M**2*M0**2*SM**(-4)+M0**2*SM**(-2)+M0**4
  *SM**(-4))
  +LG(M)*LG(SM)*PI**4*(-1.-2.*M**2*M0**2*SM**(-4)-M0**2*SM**(-2)-M
  0**4*SM**(-4))
  +LG(M0)*PI**4*(M**2*M0**2*SM**(-4)+M0**2*SM**(-2)+5./2.*M0**4*SM
  **(-4))
  +LG(M0)*LG(SM)*PI**4*(-2.*M**2*M0**2*SM**(-4)-M0**2*SM**(-2)-M0*
  *4*SM**(-4))
  +LG(SM)*PI**4*(-4.*M**2*M0**2*SM**(-4)-M**2*SM**(-2)-1./2.*M**4*
  SM**(-4)-M0**2*SM**(-2)-5./2.*M0**4*SM**(-4))
  +LG(SM)*LG(SM)*PI**4*(1./2.+2.*M**2*M0**2*SM**(-4)+M0**2*SM**(-2
  )+M0**4*SM**(-4))
Al,F411(M~,M0~,SM)=
  +PI**4*(-1./3.*M**(-4)+1./3.*M**(-4)*EP**(-1)+1./2.*M**(-2)*M0**
  2*SM**(-4)+1./6.*M**(-2)*SM**(-2)+1./6.*SM**(-4))
  +LG(M)*PI**4*(1./6.*M**(-4)+1./6.*SM**(-4))
  +LG(M0)*PI**4*(-1./6.*M**(-4)*M0**2*SM**(-2)-1./6.*M**(-4)*M0**4
  *SM**(-4)+1./3.*M**(-2)*M0**2*SM**(-4))
  +LG(SM)*PI**4*(1./6.*M**(-4)+1./6.*M**(-4)*M0**2*SM**(-2)+1./6.*
  M**(-4)*M0**4*SM**(-4)-1./3.*M**(-2)*M0**2*SM**(-4)-1./6.*SM**(-
  4))
Al,F321(M~,M0~,SM)=
  +PI**4*(1./2.*M**(-2)*M0**2*SM**(-4)+1./2.*M**(-2)*SM**(-2)+3./2
  .*SM**(-4))
  +PI**6*(1./3.*SM**(-4))
  +LG(M)*PI**4*(5./2.*SM**(-4))
  +LG(M)*LG(M0)*PI**4*(SM**(-4))
  +LG(M)*LG(SM)*PI**4*(-SM**(-4))
  +LG(M0)*PI**4*(M**(-2)*M0**2*SM**(-4)+1./2.*M**(-2)*SM**(-2)+3./
  2.*SM**(-4))
  +LG(M0)*LG(SM)*PI**4*(-SM**(-4))
  +LG(SM)*PI**4*(-M**(-2)*M0**2*SM**(-4)-1./2.*M**(-2)*SM**(-2)-4.
  *SM**(-4))
  +LG(SM)*LG(SM)*PI**4*(SM**(-4))
Al,F421(M~,M0~,SM)=
  +PI**4*(1./6.*M**(-4)*M0**2*SM**(-4)+1./6.*M**(-4)*SM**(-2)-5./6
  .*M**(-2)*SM**(-4))
  +LG(M0)*PI**4*(1./3.*M**(-4)*M0**2*SM**(-4)+1./6.*M**(-4)*SM**(-
  2)-1./3.*M**(-2)*SM**(-4))
  +LG(SM)*PI**4*(-1./3.*M**(-4)*M0**2*SM**(-4)-1./6.*M**(-4)*SM**(
  -2)+1./3.*M**(-2)*SM**(-4))
Al,F511(M~,M0~,SM)=
   +PI**4*(-5./24.*M**(-6)+1./6.*M**(-6)*EP**(-1)+1./8.*M**(-4)*M0*
   *2*SM**(-4)+1./24.*M**(-4)*SM**(-2)-1./24.*M**(-2)*SM**(-4))
   +LG(M)*PI**4*(1./12.*M**(-6))
   +LG(M0)*PI**4*(-1./12.*M**(-6)*M0**2*SM**(-2)-1./12.*M**(-6)*M0*
   *4*SM**(-4)+1./12.*M**(-4)*M0**2*SM**(-4))
   +LG(SM)*PI**4*(1./12.*M**(-6)+1./12.*M**(-6)*M0**2*SM**(-2)+1./1
   2.*M**(-6)*M0**4*SM**(-4)-1./12.*M**(-4)*M0**2*SM**(-4))
ENDBLOCK
BLOCK E1EZF{1,2,3,4,5}
C 1=E1, 2=E2, 3=ET, 4=E1F, 5=EZF.
'1'Id,E1=0.5*TIPI2/C**2-31*TIPI2/12 + E1F
'2'Al,E2=-25*TIPI2/12+0.75*TIPI2/C**2-1.5*M**2*TIPI2/SM**2
'2'      -0.75*M**2*TIPI2/C**4/SM**2-0.75*SM**2*TIPI2/M**2
'2'    +TIPI2*EP*SM**2/M**2*(-9/32*PI/W3+25/32-3/8*LG(SM) )
'3'Id,ET=TIPI2*(1.5*M**2/C**4/SM**2+0.25/C**2+0.5
'3'      +3*M**2/SM**2+0.75*SM**2/M**2)
'3'      +EP*TIPI2*(-0.25*M**2/C**4/SM**2-1/8/C**2-0.25
'3'      -0.5*M**2/SM**2-3*SM**2/8/M**2
'3'      +(0.25+1.5*M**2/SM**2)*LG(M)
'3'      +(1/8/C**2+0.75*M**2/C**4/SM**2)*LG(M0)
'3'      +3*SM**2/8/M**2*LG(SM) )
'3'  -EP**2*TIPI2*(PI2*(-M**2/C**4/SM**2/32-1/C**2/192-1/96
'3'    -M**2/SM**2/16-SM**2/M**2/64)
'3'   -M**2/SM**2/8/C**4-1/C**2/16-1/8-M**2/SM**2/4-3*SM**2/M**2/16
'3'   +LG(M)*(1/8+M**2/SM**2/4)
'3'   +LG(M)*LG(M)*(-1/16-3*M**2/SM**2/8)
'3'   +LG(M0)*(M**2/SM**2/C**4/8+1/C**2/16)
'3'   +LG(M0)*LG(M0)*(-3*M**2/C**4/SM**2/16-1/C**2/32)
'3'   +LG(SM)*3*SM**2/M**2/16
'3'   -LG(SM)*LG(SM)*3*SM**2/M**2/32)
'4'Id,E1F=EP*TIPI2*SM**2/M**2*(1/32 + EP*(LG(SM)/64-3/128) )
'5'Al,EZF=EP*TIPI2*SM**2/M**2*(1/32 + EP*(LG(SM)/64-3/128) )
ENDBLOCK
BLOCK PROJ{1,2,3,4}
C 1=PROJ AND RATIONALIZATION P, 2=MAKE C**2=1-S**2,
C 3=MAKE S**2=1-C**2, 4=ALSO RATIONALIZATION K AND Q AND COUNT SM.
'1'Id,LEDLE=D(MU,NU)*D(MUP,NUP)/N*LE2
'1'Id,Dotpr,LE(MU~)=FALE(MU)
'1'Al,LE(MU~)=FALE(MU)
'1'Id,Adiso,FALE(L1~)*FALE(L2~)=D(L1,AL)*D(L2,BE)*FACT
'1'Id,FACT=TRN*(2*D(MU,NU)*D(AL,BE) - N*D(MU,AL)*D(NU,BE)
'1'        -N*D(MU,BE)*D(NU,AL) ) * LE(MUP)*LE(NUP)
'1'       +TRN*(-NP1*D(MU,NU)*D(AL,BE) + D(MU,AL)*D(NU,BE)
'1'             + D(MU,BE)*D(NU,AL) ) * D(MUP,NUP) * LE2
'1'*yep
'4'Id,QDP=0.5*KDK-0.5*PDP-0.5*QDQ
'4'Al,QDK=-0.5*PDP+0.5*KDK+0.5*QDQ
'4'Al,PDK=-0.5*QDQ+0.5*KDK+0.5*PDP
'2'Id,Multi,C**2=1-S**2
'2'Al,C2MS2=1-2*S**2
'3'Id,Multi,S**2=1-C**2
'3'Al,C2MS2=2*C**2-1
'1'*yep
'1'Id,PDP**K1~*FP(L1~,M~)=(-1)**K1*M**K1*M**K1*
'1'  DS(IX1,0,K1+(L1-1-K1)*DT(K1-L1+1),(M**-IX1*M**-IX1*FP(L1-IX1,M)),
'1'          (-(K1-IX1+1)/IX1) )
'4'   +EI*(-1)**K1*(-1)**L1*M**K1*M**K1/M**L1/M**L1*
'4'   DT(K1-L1)*DB(K1-1,K1-L1)* DS(IX2,0,K1-L1,
'4'     (PDP**IX2/M**IX2/M**IX2),(-(K1-L1-IX2+1)/(K1-IX2)) )
'4'Al,KDK**K1~*FK(1,M~)=(-1)**K1*M**K1*M**K1*FK(1,M)
'4'   -EI*(-1)**K1*M**K1*M**K1/M**2*DT(K1-1)*
'4'    DS(IY2,0,K1-1,(KDK**IY2/M**IY2/M**IY2),(-1) )
'4'Al,QDQ**K1~*FQ(L1~,M~)=(-1)**K1*M**K1*M**K1*
'4'  DS(IZ1,0,K1+(L1-1-K1)*DT(K1-L1+1),(M**-IZ1*M**-IZ1*FQ(L1-IZ1,M)),
'4'          (-(K1-IZ1+1)/IZ1) )
'4'   +EI*(-1)**K1*(-1)**L1*M**K1*M**K1/M**L1/M**L1*
'4'   DT(K1-L1)*DB(K1-1,K1-L1)* DS(IZ2,0,K1-L1,
'4'     (QDQ**IZ2/M**IZ2/M**IZ2),(-(K1-L1-IZ2+1)/(K1-IZ2)) )
'4'Id,PDP**2=QDQ**2+KDK**2+2*QDQ*KDK+4/N*QDQ*KDK
'4'Al,PDP=QDQ+KDK
'4'Al,KDK**2=QDQ**2+PDP**2+2*PDP*QDQ+4/N*QDQ*PDP
'4'Al,KDK=QDQ+PDP
'4'Al,QDQ**2=KDK**2+PDP**2+2*PDP*KDK+4/N*PDP*KDK
'4'Al,QDQ=KDK+PDP
'4'C FACTORS WITH PDP, QDQ OR KDK HAVE ONE EI (NOTE EI**2=0).
'4'Id,KDK**K1~*FK(1,M~)=(-1)**K1*M**K1*M**K1*FK(1,M)
'4'Al,PDP**K1~*FP(L1~,M~)=(-1)**K1*M**K1*M**K1*
'4'  DS(IX3,0,K1+(L1-1-K1)*DT(K1-L1+1),(M**-IX3*M**-IX3*FP(L1-IX3,M)),
'4'          (-(K1-IX3+1)/IX3) )
'4'Al,QDQ**K1~*FQ(L1~,M~)=(-1)**K1*M**K1*M**K1*
'4'  DS(IZ3,0,K1+(L1-1-K1)*DT(K1-L1+1),(M**-IZ3*M**-IZ3*FQ(L1-IZ3,M)),
'4'          (-(K1-IZ3+1)/IZ3) )
'4'Id,Adiso,FK(1,M~)*FQ(1,SM)=FK(1,SM)*FQ(1,M)
'4'Al,Adiso,FK(1,M~)*FP(1,SM)=FK(1,SM)*FP(1,M)
'4'Id,Numer,EI,1.
'4'Id,Commu,FK,FP,FQ
'4'Id,FP(3,M~)*FQ(2,S~)=FP(2,S)*FQ(3,M)
'4'Al,FP(3,M~)*FQ(1,S~)=FP(1,S)*FQ(3,M)
'4'Al,FP(2,M~)*FQ(1,S~)=FP(1,S)*FQ(2,M)
'4'*yep
'4'Id,FK(1,C~)*FP(5,M~)*FQ(1,S~)=F511(M,S,C)
'4'Al,FK(1,C~)*FP(4,M~)*FQ(1,S~)=F411(M,S,C)
'4'Id,FK(1,S~)*FP(2,C~)*FQ(4,M~)=F421(M,C,S)
'4'Al,FK(1,S~)*FP(2,C~)*FQ(3,M~)=F321(M,C,S)
'4'Al,FK(1,S~)*FP(2,C~)*FQ(2,M~)=F221(M,C,S)
'4'Al,FK(1,S~)*FP(1,C~)*FQ(4,M~)=F411(M,C,S)
'4'Al,FK(1,S~)*FP(1,C~)*FQ(3,M~)=F311(M,C,S)
'4'Al,FK(1,S~)*FP(1,C~)*FQ(2,M~)=F211(M,C,S)
'4'Al,FK(1,S~)*FP(1,C~)*FQ(1,M~)=F111(C,M,S)
'1'Id,FP(N~,M~)=FSC(N,M)*M**4/M**N/M**N
'4'Al,FQ(N~,M~)=FSC(N,M)*M**4/M**N/M**N
'4'Al,FK(N~,M~)=FSC(N,M)*M**4/M**N/M**N
'4'Id,Count,1,SM,1
'1'*yep
ENDBLOCK
BLOCK NEXP{}
Id,N**2*NP1*TRN =  - 10./9. + 1./18.*EP - 7./324.*EP**2
Al,N*NP1*TRN =  - 5./18. + 1./12.*EP - 17./648.*EP**2
Al,NP1*TRN =  - 5./72. + 11./288.*EP - 167./10368.*EP**2
Al,N**3*TRN =  - 8./9. - 1./162.*EP**2
Al,N**2*TRN =  - 2./9. + 1./18.*EP - 5./324.*EP**2
Al,N*TRN =  - 1./18. + 1./36.*EP - 7./648.*EP**2
Al,TRN =  - 1./72. + 1./96.*EP - 55./10368.*EP**2
Al,N*OMN** - 1 =  - 4/3 + EP/9 - EP**2/27
Al,N = 4 + EP
Al,N**-2 = 1/16 - EP/32 + 3*EP**2/256
Al,N**-1 = 1/4 - EP/16 + EP**2/64
ENDBLOCK
End
